Bug 1340701 - CVE-2016-7091 sudo: readline: Possible info leak via INPUTRC [fedora-all]
Summary: CVE-2016-7091 sudo: readline: Possible info leak via INPUTRC [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 23
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-7091
TreeView+ depends on / blocked
 
Reported: 2016-05-30 06:19 UTC by Doran Moppert
Modified: 2016-08-26 00:21 UTC (History)
4 users (show)

Fixed In Version: sudo-1.8.15-2.fc23 sudo-1.8.15-2.fc22 sudo-1.8.16-4.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-05 02:55:20 UTC
Type: ---


Attachments (Terms of Use)

Description Doran Moppert 2016-05-30 06:19:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Doran Moppert 2016-05-30 06:20:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1339935,1340701

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2016-06-01 11:14:40 UTC
sudo-1.8.15-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d25ebba412

Comment 3 Fedora Update System 2016-06-01 11:14:47 UTC
sudo-1.8.15-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe9112a9ff

Comment 4 Fedora Update System 2016-06-01 11:14:52 UTC
sudo-1.8.16-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc731b4c4b

Comment 5 Fedora Update System 2016-06-02 09:01:26 UTC
sudo-1.8.16-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc731b4c4b

Comment 6 Alan Ernhart 2016-06-02 12:56:40 UTC
Summary: Change seems correct.

On F24 with sudo-1.8.16-3.fc24.x86_64 and /etc/sudoers having non-root user added:

$ bodhi --download selinux-policy-3.13.1-184.fc24
# dnf install sudo-1.8.16-4.fc24.x86_64.rpm
<SNIP>
warning: /etc/sudoers created as /etc/sudoers.rpmnew

Indeed:
- my /etc/sudoers is untouched
- new /etc/sudoers.rpmnew does NOT have INPUTRC in it.
- I'll need to merge the two in order to fix the vulnerability on this system.

I'm curious if another path, like 'dnf upgrade' would have offered to launch a diff-merge tool, or otherwise made it harder to overlook that necessary step? But it's not an easy usability decision. So looks good to me.

Comment 7 Fedora Update System 2016-06-02 16:22:15 UTC
sudo-1.8.15-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe9112a9ff

Comment 8 Fedora Update System 2016-06-02 16:23:33 UTC
sudo-1.8.15-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d25ebba412

Comment 9 Fedora Update System 2016-06-05 02:55:09 UTC
sudo-1.8.15-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-06-18 04:19:24 UTC
sudo-1.8.15-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-06-18 18:51:43 UTC
sudo-1.8.16-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.